%define upstream_name    Sys-Virt
%define upstream_version 0.9.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to libvirt virtual machine management API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::XPath)
BuildRequires: libvirt-devel
BuildRequires: perl-devel
BuildRequires: xen-devel
%description
Sys::Virt is an interface to libvirt virtual machine management API.
The Sys::Virt::Domain module represents a guest domain managed by
the virtual machine monitor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc AUTHORS Changes HACKING INSTALL LICENSE META.yml MYMETA.yml README examples
%{perl_vendorarch}/Sys
%{perl_vendorarch}/auto/Sys
%{_mandir}/man3/Sys::Virt*3pm*

%changelog

* Fri Feb 24 2012 jquelin <jquelin> 0.9.10-1.mga2
+ Revision: 213771
- update to 0.9.10

* Wed Jan 25 2012 jquelin <jquelin> 0.9.9-1.mga2
+ Revision: 201022
- update to 0.9.9

* Thu Jan 05 2012 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 191286
- update to 0.9.8

* Thu Dec 08 2011 kharec <kharec> 0.9.7-1.mga2
+ Revision: 179276
- update to 0.9.7

* Fri Oct 14 2011 jquelin <jquelin> 0.9.5-1.mga2
+ Revision: 154847
- update to 0.9.5
- update to 0.9.3

  + fwang <fwang>
    - new version 0.9.4

* Wed Jul 13 2011 jquelin <jquelin> 0.9.2-1.mga2
+ Revision: 123641
- update to 0.9.2

* Fri Jul 08 2011 jquelin <jquelin> 0.2.8-1.mga2
+ Revision: 120630
- update to 0.2.8

* Sun Jun 12 2011 sander85 <sander85> 0.2.6-2.mga2
+ Revision: 105009
- Rebuild for perl 5.14

* Tue Mar 15 2011 saispo <saispo> 0.2.6-1.mga1
+ Revision: 72040
- Disable test
- New release 0.2.6

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Sys-Virt


* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 562463
- update to 0.2.4

* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 492159
- update to 0.2.3

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.2-1mdv2010.0
+ Revision: 442641
- update to 0.2.2

* Wed Aug 26 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 421389
- update to 0.2.1

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 370183
- update to new version 0.2.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 174676
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 78769
- spec cleanup and ship documentation files

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.0
+ Revision: 17258
- 0.1.1


(none)